Update a conference resource
Updates the specified conference resource, for example to modify its status, and returns the updated conference.
POST
/
texml
/
Accounts
/
{account_sid}
/
Conferences
/
{conference_sid}
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const conference = await client.texml.accounts.conferences.update('conference_sid', {
account_sid: 'account_sid',
});
console.log(conference.account_sid);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
conference = client.texml.accounts.conferences.update(
conference_sid="conference_sid",
account_sid="account_sid",
)
print(conference.account_sid)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
conference, err := client.Texml.Accounts.Conferences.Update(
context.TODO(),
"conference_sid",
telnyx.TexmlAccountConferenceUpdateParams{
AccountSid: "account_sid",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", conference.AccountSid)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.conferences.ConferenceUpdateParams;
import com.telnyx.sdk.models.texml.accounts.conferences.ConferenceUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ConferenceUpdateParams params = ConferenceUpdateParams.builder()
.accountSid("account_sid")
.conferenceSid("conference_sid")
.build();
ConferenceUpdateResponse conference = client.texml().accounts().conferences().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
conference = telnyx.texml.accounts.conferences.update("conference_sid", account_sid: "account_sid")
puts(conference)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$conference = $client->texml->accounts->conferences->update(
'conference_sid',
accountSid: 'account_sid',
announceMethod: 'GET',
announceURL: 'https://www.example.com/announce.xml',
status: 'completed',
);
var_dump($conference);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts:conferences update \
--api-key 'My API Key' \
--account-sid account_sid \
--conference-sid conference_sidcurl --request POST \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Conferences/{conference_sid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data Status=completed{
"account_sid": "4e71926f-8f13-450e-b91c-23c2ef786aa6",
"api_version": "v2/texml",
"date_created": "Fri, 27 Oct 2023 07:41:58 +0000",
"date_updated": "Fri, 27 Oct 2023 07:41:58 +0000",
"friendly_name": "weekly_review_call",
"region": "dc2",
"sid": "cd5a70f4-759b-4d5e-9c06-88c00f16f3c1",
"status": "in-progress",
"subresource_uris": {
"participants": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants.json",
"recordings": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Recordings.json"
},
"uri": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1.json"
}{
"errors": [
{
"detail": "Resource not found"
}
]
}Authorizations
Path Parameters
The UUID of the Telnyx account that owns the resource, for example f5586561-8ff0-4291-a51b-c7dfe4139ff9. The account_sid path segment is kept for Twilio API compatibility, but the value is a Telnyx account UUID, not a Twilio AC... SID. It must match the account that owns the API key used to authenticate the request, otherwise the endpoint returns 404. The same value is sent as AccountSid in TeXML webhooks.
Example:
"f5586561-8ff0-4291-a51b-c7dfe4139ff9"
Body
application/x-www-form-urlencoded
Update Conference request object
Response
Conference resource.
A list of related resources identified by their relative URIs.
Example:
{
"participants": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants.json",
"recordings": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Recordings.json"
}
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const conference = await client.texml.accounts.conferences.update('conference_sid', {
account_sid: 'account_sid',
});
console.log(conference.account_sid);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
conference = client.texml.accounts.conferences.update(
conference_sid="conference_sid",
account_sid="account_sid",
)
print(conference.account_sid)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
conference, err := client.Texml.Accounts.Conferences.Update(
context.TODO(),
"conference_sid",
telnyx.TexmlAccountConferenceUpdateParams{
AccountSid: "account_sid",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", conference.AccountSid)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.conferences.ConferenceUpdateParams;
import com.telnyx.sdk.models.texml.accounts.conferences.ConferenceUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ConferenceUpdateParams params = ConferenceUpdateParams.builder()
.accountSid("account_sid")
.conferenceSid("conference_sid")
.build();
ConferenceUpdateResponse conference = client.texml().accounts().conferences().update(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
conference = telnyx.texml.accounts.conferences.update("conference_sid", account_sid: "account_sid")
puts(conference)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$conference = $client->texml->accounts->conferences->update(
'conference_sid',
accountSid: 'account_sid',
announceMethod: 'GET',
announceURL: 'https://www.example.com/announce.xml',
status: 'completed',
);
var_dump($conference);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts:conferences update \
--api-key 'My API Key' \
--account-sid account_sid \
--conference-sid conference_sidcurl --request POST \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Conferences/{conference_sid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data Status=completed{
"account_sid": "4e71926f-8f13-450e-b91c-23c2ef786aa6",
"api_version": "v2/texml",
"date_created": "Fri, 27 Oct 2023 07:41:58 +0000",
"date_updated": "Fri, 27 Oct 2023 07:41:58 +0000",
"friendly_name": "weekly_review_call",
"region": "dc2",
"sid": "cd5a70f4-759b-4d5e-9c06-88c00f16f3c1",
"status": "in-progress",
"subresource_uris": {
"participants": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants.json",
"recordings": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Recordings.json"
},
"uri": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1.json"
}{
"errors": [
{
"detail": "Resource not found"
}
]
}